diff --git a/src/gpm-manager.c b/src/gpm-manager.c
index ec787be..c95f5d8 100644
--- a/src/gpm-manager.c
+++ b/src/gpm-manager.c
@@ -1953,21 +1953,6 @@ gpm_manager_init (GpmManager *manager)
 				 (MateConfClientNotifyFunc) gpm_conf_mateconf_key_changed_cb,
 				 manager, NULL, NULL);
 
-	/* check to see if the user has installed the schema properly */
-	version = mateconf_client_get_int (manager->priv->conf, GPM_CONF_SCHEMA_VERSION, NULL);
-	if (version != GPM_CONF_SCHEMA_ID) {
-		gpm_manager_notify (manager, &manager->priv->notification_general,
-				    /* TRANSLATORS: there was in install problem */
-				    _("Install problem!"),
-				    /* TRANSLATORS: the MateConf schema was not installed properly */
-				    _("The configuration defaults for MATE Power Manager have not been installed correctly.\n"
-				      "Please contact your computer administrator."),
-				    GPM_MANAGER_NOTIFY_TIMEOUT_LONG,
-				    GTK_STOCK_DIALOG_WARNING,
-				    NOTIFY_URGENCY_NORMAL);
-		egg_error ("no mateconf schema installed!");
-	}
-
 	/* coldplug so we are in the correct state at startup */
 	g_object_get (manager->priv->client,
 		      "on-battery", &manager->priv->on_battery,
